Bug 919401 - (CVE-2013-4255) CVE-2013-4255 condor: condor_startd DoS when parsing policy definition that evaluates to ERROR or UNDEFINED
CVE-2013-4255 condor: condor_startd DoS when parsing policy definition that e...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130821,repor...
: Security
Depends On: 919037 999579
Blocks: 919407
  Show dependency treegraph
 
Reported: 2013-03-08 06:22 EST by Jan Lieskovsky
Modified: 2013-08-21 13:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-08 06:22:42 EST
A denial of service flaw was found in the way Condor's policy definition evaluator processed certain policy definitions. If an administrator used an attribute defined on a job in any of the following condor_startd policies (CONTINUE, KILL, PREEMPT, SUSPEND), a remote Condor service user could use this flaw to cause a denial of the condor_startd service by submitting a Condor job that caused certain policy definition to be evaluated to either ERROR or UNDEFINED states.

Workaround:
===========
Check for UNDEFINED & ERROR in the policy configuration.
Comment 2 Jan Lieskovsky 2013-03-08 06:38:26 EST
Acknowledgements:

This issue was found by Matthew Farrellee of Red Hat.
Comment 3 Tomas Hoger 2013-08-16 09:48:20 EDT
Upstream pointed out that this issue is known with several public upstream bug reports related to this problem:

https://htcondor-wiki.cs.wisc.edu/index.cgi/tktview?tn=1786
https://htcondor-wiki.cs.wisc.edu/index.cgi/tktview?tn=3829
Comment 4 Tomas Hoger 2013-08-21 11:27:55 EDT
Making this bug public.
Comment 5 Tomas Hoger 2013-08-21 11:29:46 EDT
Created condor tracking bugs for this issue:

Affects: fedora-all [bug 999579]
Comment 6 errata-xmlrpc 2013-08-21 13:28:37 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1172 https://rhn.redhat.com/errata/RHSA-2013-1172.html
Comment 7 errata-xmlrpc 2013-08-21 13:28:45 EDT
This issue has been addressed in following products:

  MRG for RHEL-5 v. 2

Via RHSA-2013:1171 https://rhn.redhat.com/errata/RHSA-2013-1171.html

Note You need to log in before you can comment on or make changes to this bug.